Permalink
Browse files

Some formatting tweaks.

  • Loading branch information...
1 parent 896517c commit 479f7195b440aedaaf2df7d2ef64021f08a792ef @fnando fnando committed Feb 9, 2011
Showing with 15 additions and 38 deletions.
  1. +11 −27 Gemfile.lock
  2. +1 −1 lib/recurrence/namespace.rb
  3. +3 −10 recurrence.gemspec
View
@@ -1,42 +1,26 @@
PATH
remote: .
specs:
- recurrence (1.0.0)
- activesupport
+ recurrence (1.0.1)
+ activesupport (>= 2.3.0)
GEM
remote: http://rubygems.org/
specs:
- activesupport (3.0.2)
- archive-tar-minitar (0.5.2)
- columnize (0.3.2)
+ activesupport (3.0.3)
diff-lcs (1.1.2)
- linecache19 (0.5.11)
- ruby_core_source (>= 0.1.4)
- rspec (2.1.0)
- rspec-core (~> 2.1.0)
- rspec-expectations (~> 2.1.0)
- rspec-mocks (~> 2.1.0)
- rspec-core (2.1.0)
- rspec-expectations (2.1.0)
+ rspec (2.5.0)
+ rspec-core (~> 2.5.0)
+ rspec-expectations (~> 2.5.0)
+ rspec-mocks (~> 2.5.0)
+ rspec-core (2.5.1)
+ rspec-expectations (2.5.0)
diff-lcs (~> 1.1.2)
- rspec-mocks (2.1.0)
- ruby-debug-base19 (0.11.24)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby_core_source (>= 0.1.4)
- ruby-debug19 (0.11.6)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby-debug-base19 (>= 0.11.19)
- ruby_core_source (0.1.4)
- archive-tar-minitar (>= 0.5.2)
+ rspec-mocks (2.5.0)
PLATFORMS
ruby
DEPENDENCIES
- activesupport
recurrence!
- rspec (>= 2.0.0)
- ruby-debug19
+ rspec (~> 2.5.0)
@@ -1,7 +1,7 @@
require "active_support/core_ext"
-
require "date"
require "enumerator"
+
module SimplesIdeias
class Recurrence
autoload :Event, "recurrence/event"
View
@@ -1,7 +1,7 @@
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
-
require "recurrence"
+
Gem::Specification.new do |s|
s.name = "recurrence"
s.version = Recurrence::Version::STRING
@@ -10,20 +10,13 @@ Gem::Specification.new do |s|
s.email = ["fnando.vieira@gmail.com"]
s.homepage = "http://rubygems.org/gems/recurrence"
s.summary = "A simple library to handle recurring events"
- s.description = "A simple library to handle recurring events"
-
- s.rubyforge_project = "recurrence"
+ s.description = s.summary
s.files = `git ls-files`.split("\n")
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
s.add_dependency "activesupport", ">= 2.3.0"
- s.add_development_dependency "rspec", ">= 2.0.0"
- if RUBY_VERSION >= "1.9.0"
- s.add_development_dependency "ruby-debug19"
- else
- s.add_development_dependency "ruby-debug"
- end
+ s.add_development_dependency "rspec", "~> 2.5.0"
end

0 comments on commit 479f719

Please sign in to comment.